GET
/v1/orders/{id}GET /v1/orders/{id}
Scopes: orders:orders:read
Requires scope: orders:orders:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int64> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
company_id | integer<int32> | no | |
store_order_id | string | no | |
order_date | string<date-time> | no | |
order_total | number<double> | no | |
order_sub_total | number<double> | no | |
order_shipping_fee | number<double> | no | |
order_tax_amount | number<double> | no | |
order_discount | number<double> | no | |
balance_due | number<double> | no | |
is_shipped | boolean | no | |
is_cancelled | boolean | no | |
status_code | string | no | |
sales_channel_name | string | no | |
shipping_method_name | string | no | |
customer_email | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/orders/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);